std::basic_spanbuf::span(3)

NAME
std::basic_spanbuf::span - std::basic_spanbuf::span

Synopsis
   std::span<CharT> span() const noexcept; (1) (since C++23)
   void span( std::span<CharT> s ) noexcept; (2) (since C++23)
   1) Gets a span referencing the written area if std::ios_base::out is set in the open
   mode, or a span referencing the underlying buffer otherwise.
   2) Makes the basic_spanbuf perform I/O on the buffer referenced by s. Sets pointers
   to get area, put area, or both.
           Set bits in open mode Return value after setting
     (affecting pointers to get area) eback() gptr() egptr()
   std::ios_base::in s.data() s.data() s.data() +
                        s.size()
           Set bits in open mode Return value after setting
     (affecting pointers to put area) pbase() pptr() epptr()
   std::ios_base::out && s.data() s.data() s.data() +
   !std::ios_base::ate s.size()
   std::ios_base::out && s.data() s.data() + s.data() +
   std::ios_base::ate s.size() s.size()

Parameters
   s - a std::span that references the user-provided buffer

Return value
   1) std::span<CharT>(pbase(), pptr()) if std::ios_base::out is set in the open mode,
   or a std::span<CharT> that references the whole underlying buffer otherwise.
   2) (none)

Example
    This section is incomplete
    Reason: no example

See also
           replaces or obtains a copy of the associated character string
   str (public member function of std::basic_stringbuf<CharT,Traits,Allocator>)
   view obtains a view over the underlying character sequence
   (C++20) (public member function of std::basic_stringbuf<CharT,Traits,Allocator>)
           marks the buffer frozen and returns the beginning pointer of the input
   str sequence
           (public member function of std::strstreambuf)

Category:
     * Todo no example